Bug 5963 - Acquisitions: Add the capability to have a filter by active budget
Summary: Acquisitions: Add the capability to have a filter by active budget
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Paul Poulain
QA Contact: Bugs List
URL:
Keywords:
: 6051 (view as bug list)
Depends on:
Blocks: 5580 6051
  Show dependency treegraph
 
Reported: 2011-03-28 01:47 UTC by Chris Cormack
Modified: 2012-10-25 23:03 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed Patch (4.75 KB, patch)
2011-03-28 01:50 UTC, Chris Cormack
Details | Diff | Splinter Review
Screenshot (5.00 KB, image/png)
2011-03-31 13:15 UTC, Julian Maurice
Details
Follow up patch (1.81 KB, patch)
2011-03-31 14:14 UTC, Julian Maurice
Details | Diff | Splinter Review
Follow up patch (831 bytes, patch)
2011-03-31 14:29 UTC, Julian Maurice
Details | Diff | Splinter Review
Sqashed all 3 patches into one (5.18 KB, patch)
2011-04-04 09:45 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2011-03-28 01:47:10 UTC
The sub GetBudgetHierarchy return aqbudgetperiods.budget_period_active to have acces to a new filtering way, more the neworderempty.pl page have a check box "shox all".
Comment 1 Chris Cormack 2011-03-28 01:50:46 UTC Comment hidden (obsolete)
Comment 2 Julian Maurice 2011-03-31 13:15:24 UTC
Created attachment 3571 [details]
Screenshot

The 'Show all' label is placed to the left of dropdown list instead of the right.
Can someone confirms this behavior? because i don't see any errors in the template.
Comment 3 Owen Leonard 2011-03-31 13:42:42 UTC
To solve the layout problem I recommend replacing this markup at line 314 of neworderempty.tmpl:

<span class="label">&nbsp;Show all :</span><input type="checkbox" id="showallbudgets" />

...with this:

<label for="showallbudgets" style="float:none;width:auto;">&nbsp;Show all: </label><input type="checkbox" id="showallbudgets" />

Is this checkbox supposed to trigger the display of inactive funds? It didn't do anything at all for me, but I suspect I don't have the right kind of budgets set up to properly test.

Please provide more details about how to test this properly.
Comment 4 Julian Maurice 2011-03-31 14:04:43 UTC
Checkbox does nothing, because GetBudgetHierarchy returns only active funds.
I will submit a follow up patch with this modification, and Owen's fix for layout.
Comment 5 Julian Maurice 2011-03-31 14:14:49 UTC Comment hidden (obsolete)
Comment 6 Julian Maurice 2011-03-31 14:29:56 UTC Comment hidden (obsolete)
Comment 7 MJ Ray (software.coop) 2011-04-03 23:19:29 UTC
This bug is mentioned in:
Bug 5963 : Add the ability to filter budgets	using the active column http://lists.koha-community.org/pipermail/koha-patches/2011-March/014250.html
Bug 5963: Modify GetBudgetsHierarchy to	returns all funds http://lists.koha-community.org/pipermail/koha-patches/2011-March/014399.html
Bug 5963: follow up: Remove useless comments http://lists.koha-community.org/pipermail/koha-patches/2011-March/014400.html
Comment 8 Katrin Fischer 2011-04-04 09:45:27 UTC
Created attachment 3610 [details] [review]
Sqashed all 3 patches into one
Comment 9 Chris Cormack 2011-04-05 02:58:43 UTC
Pushed, please test
Comment 10 Alex Arnaud 2011-04-05 08:56:09 UTC
*** Bug 6051 has been marked as a duplicate of this bug. ***